Example

Loading...
Searching...
No Matches
Typedefs | Functions
CMEMS.h File Reference
`#include "Capsule/CDefinesPrivate.h"`
`#include "Capsule/CMEMSTimedData.h"`
`#include "Capsule/CNFBCalibrator.h"`
`#include "Capsule/CSession.h"`
Include dependency graph for CMEMS.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef void(* | clCMEMSDataUpdateHandler) (clCMEMS, clCMEMSTimedData)

## Functions
| CLC_CLASS_WN (ClassificationMEMSPrivate, clCMEMS)
CL_DLL clCMEMS | clCMEMS_Create (clCSession session) NOEXCEPT
| Create a MEMS classifier.
CL_DLL clCMEMS | clCMEMS_CreateCalibrated (clCNFBCalibrator calibrator) NOEXCEPT
| Create a MEMS classifier after individual NFB has calibrated.
CL_DLL void | clCMEMS_Initialize (clCMEMS mems) NOEXCEPT
| Initialize cardio classifier.
| CLC_STRUCT (clCMEMSTimedDataDelegate)
CL_DLL clCMEMSTimedDataDelegate | clCMEMS_GetOnMEMSTimedDataUpdateEvent (clCMEMS mems) NOEXCEPT
| Get delegate for MEMS data event.
CL_DLL void | clCMEMSDelegateMEMSTimedDataUpdate_Set (clCMEMSTimedDataDelegate delegate, clCMEMSDataUpdateHandler callback) NOEXCEPT
| Set handler for MEMS data updates delegate.
CL_DLL void | clCMEMS_Destroy (clCMEMS mems) NOEXCEPT
| Destroy MEMS classifier.

## Typedef Documentation

## ◆ clCMEMSDataUpdateHandler

typedef void(* clCMEMSDataUpdateHandler) (clCMEMS, clCMEMSTimedData)

## Function Documentation

## ◆ CLC_CLASS_WN()

CLC_CLASS_WN | ( | ClassificationMEMSPrivate | ,
|  | clCMEMS |
| ) |  |

## ◆ CLC_STRUCT()

CLC_STRUCT | ( | clCMEMSTimedDataDelegate |  | ) |

## ◆ clCMEMS_Create()

CL_DLL clCMEMS clCMEMS_Create | ( | clCSession | session | ) |

Create a MEMS classifier.

Parameters

  session | session handle. Valid session must be passed (does not need to be active)

Returns
  MEMS classifier handle.

## ◆ clCMEMS_CreateCalibrated()

CL_DLL clCMEMS clCMEMS_CreateCalibrated | ( | clCNFBCalibrator | calibrator | ) |

Create a MEMS classifier after individual NFB has calibrated.

Parameters

  calibrator | NFB calibrator handle. A calibrated calibrator must be passed.

Returns
  MEMS handle.

## ◆ clCMEMS_Destroy()

CL_DLL void clCMEMS_Destroy | ( | clCMEMS | mems | ) |

Destroy MEMS classifier.

Parameters

  mems | classifier handle.

## ◆ clCMEMS_GetOnMEMSTimedDataUpdateEvent()

CL_DLL clCMEMSTimedDataDelegate clCMEMS_GetOnMEMSTimedDataUpdateEvent | ( | clCMEMS | mems | ) |

Get delegate for MEMS data event.

## ◆ clCMEMS_Initialize()

CL_DLL void clCMEMS_Initialize | ( | clCMEMS | mems | ) |

Initialize cardio classifier.

Parameters

  mems | classifier handle

## ◆ clCMEMSDelegateMEMSTimedDataUpdate_Set()

CL_DLL void clCMEMSDelegateMEMSTimedDataUpdate_Set | ( | clCMEMSTimedDataDelegate | delegate,
|  | clCMEMSDataUpdateHandler | callback
| ) |  |

Set handler for MEMS data updates delegate.